NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
NXOpen::CAM::BoundarySetWireEDM Class Reference

Represents a boundary set for wire EDM
To create a new instance of this class, use NXOpen::CAM::Boundary::CreateBoundarySetWireEdm

Created in NX12.0.1. More...

Inheritance diagram for NXOpen::CAM::BoundarySetWireEDM:
NXOpen::CAM::BoundarySet NXOpen::TaggedObject

Public Member Functions

void AddTopFace (NXOpen::TaggedObject *face, const NXOpen::Point3d &pickPoint)
 Create a top face boundary
Created in NX12.0.1. More...
 
void AppendCurvesToWireframe (const std::vector< NXOpen::NXObject * > &curves, const NXOpen::Point3d &pickPoint, const NXOpen::Matrix3x3 &matrix)
 Add curves to the wireframe boundary
Created in NX12.0.1. More...
 
void AppendSideFaces (const std::vector< NXOpen::TaggedObject * > &faces, const NXOpen::Point3d &pickPoint)
 Append faces to a side face boundary
Created in NX12.0.1. More...
 
NXOpen::CAM::WedmCustomBoundaryDataBuilderControlPoints ()
 Returns the control points
Created in NX12.0.1. More...
 
NXOpen::CAM::BoundaryMemberSetWireEDMCreateBoundaryMemberSetWireEdm ()
 Create an empty custom member data set for a wire EDM boundary
Created in NX12.0.1. More...
 
bool CustomStock ()
 Returns the flag whether this boundary has custom stock activated
Created in NX12.0.1. More...
 
bool CustomTaperAngle ()
 Returns the flag whether this boundary has custom taper angle activated
Created in NX12.0.2. More...
 
bool CustomTolerances ()
 Returns the flag whether this boundary has custom tolerances
Created in NX12.0.1. More...
 
double InTolerance ()
 Returns the in tolerance value
Created in NX12.0.1. More...
 
double OutTolerance ()
 Returns the out tolerance value
Created in NX12.0.1. More...
 
void RemoveCurvesFromWireframe (const std::vector< NXOpen::NXObject * > &curves)
 Remove curves from the wireframe boundary
Created in NX12.0.1. More...
 
void RemoveSideFace (NXOpen::TaggedObject *face)
 Remove a face to a side face boundary
Created in NX12.0.1. More...
 
void SetCustomStock (bool newValue)
 Sets the flag whether this boundary has custom stock activated
Created in NX12.0.1. More...
 
void SetCustomTaperAngle (bool newValue)
 Sets the flag whether this boundary has custom taper angle activated
Created in NX12.0.2. More...
 
void SetCustomTolerances (bool newValue)
 Sets the flag whether this boundary has custom tolerances
Created in NX12.0.1. More...
 
void SetInTolerance (double newValue)
 Sets the in tolerance value
Created in NX12.0.1. More...
 
void SetOutTolerance (double newValue)
 Sets the out tolerance value
Created in NX12.0.1. More...
 
void SetStock (double newValue)
 Sets the stock value
Created in NX12.0.1. More...
 
void SetTaperAngle (double newValue)
 Sets the taper angle value
Created in NX12.0.2. More...
 
double Stock ()
 Returns the stock value
Created in NX12.0.1. More...
 
double TaperAngle ()
 Returns the taper angle value
Created in NX12.0.2. More...
 
- Public Member Functions inherited from NXOpen::CAM::BoundarySet
void AppendCurves (const std::vector< NXOpen::NXObject * > &curves, const NXOpen::Point3d &pickPoint, const NXOpen::Matrix3x3 &matrix)
 Add curves to the boundary
Created in NX9.0.0. More...
 
NXOpen::CAM::BoundaryMemberSetListBoundaryMemberList ()
 Returns the boundary member list
Created in NX9.0.0. More...
 
NXOpen::CAM::BoundarySet::BoundaryTypes BoundaryType ()
 Returns the boundary type
Created in NX9.0.0. More...
 
NXOpen::CAM::BoundaryMemberSetCreateBoundaryMemberSet ()
 Create an empty boundary member set
Created in NX9.0.0. More...
 
bool CustomOffset ()
 Returns the flag whether this boundary has custom offset activated
Created in NX9.0.0. More...
 
double Offset ()
 Returns the offset value
Created in NX9.0.0. More...
 
NXOpen::CAM::ParamValueIntent OffsetIntent ()
 Returns the offset intent
Created in NX9.0.0. More...
 
NXOpen::PlanePlane ()
 Returns the boundary plane
Created in NX9.0.0. More...
 
NXOpen::CAM::BoundarySet::PlaneTypes PlaneType ()
 Returns the boundary plane type
Created in NX9.0.0. More...
 
NXOpen::SelectTaggedObjectListPointList ()
 Returns the points list
Created in NX9.0.0. More...
 
void RemoveCurves (const std::vector< NXOpen::NXObject * > &curves)
 Remove curves from the boundary
Created in NX9.0.0. More...
 
NXOpen::SelectTaggedObjectSelectObject ()
 Returns the select object
Created in NX11.0.1. More...
 
void SetBoundaryType (NXOpen::CAM::BoundarySet::BoundaryTypes newValue)
 Sets the boundary type
Created in NX9.0.0. More...
 
void SetCustomOffset (bool newValue)
 Sets the flag whether this boundary has custom offset activated
Created in NX9.0.0. More...
 
void SetOffset (double newValue)
 Sets the offset value
Created in NX9.0.0. More...
 
void SetOffsetIntent (NXOpen::CAM::ParamValueIntent newValue)
 Sets the offset intent
Created in NX9.0.0. More...
 
void SetPlane (NXOpen::Plane *newValue)
 Sets the boundary plane
Created in NX9.0.0. More...
 
void SetPlaneType (NXOpen::CAM::BoundarySet::PlaneTypes newValue)
 Sets the boundary plane type
Created in NX9.0.0. More...
 
void SetToolPosition (NXOpen::CAM::BoundarySet::ToolPositionTypes newValue)
 Sets the tool position
Created in NX9.0.1. More...
 
void SetToolSide (NXOpen::CAM::BoundarySet::ToolSideTypes newValue)
 Sets the tool side
Created in NX9.0.0. More...
 
NXOpen::CAM::BoundarySet::ToolPositionTypes ToolPosition ()
 Returns the tool position
Created in NX9.0.1. More...
 
NXOpen::CAM::BoundarySet::ToolSideTypes ToolSide ()
 Returns the tool side
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::CAM::BoundarySet
enum  BoundaryTypes { BoundaryTypesClosed, BoundaryTypesOpen }
 the boundary types
Created in NX9.0.0. More...
 
enum  PlaneTypes { PlaneTypesAutomatic, PlaneTypesUserDefined }
 the boundary plane types
Created in NX9.0.0. More...
 
enum  ToolPositionTypes { ToolPositionTypesOn, ToolPositionTypesContact }
 the tool position
Created in NX9.0.1. More...
 
enum  ToolSideTypes { ToolSideTypesInsideOrLeft, ToolSideTypesOutsideOrRight }
 the tool side types
Created in NX9.0.0. More...
 

Detailed Description

Represents a boundary set for wire EDM
To create a new instance of this class, use NXOpen::CAM::Boundary::CreateBoundarySetWireEdm

Created in NX12.0.1.


Member Function Documentation

void NXOpen::CAM::BoundarySetWireEDM::AddTopFace ( NXOpen::TaggedObject face,
const NXOpen::Point3d pickPoint 
)

Create a top face boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
facethe top face to create boundary
pickPointthe pick point on the top face to determine the closest edge
void NXOpen::CAM::BoundarySetWireEDM::AppendCurvesToWireframe ( const std::vector< NXOpen::NXObject * > &  curves,
const NXOpen::Point3d pickPoint,
const NXOpen::Matrix3x3 matrix 
)

Add curves to the wireframe boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
curvesthe curves
pickPointthe pick point (start point on first member)
matrixthe view matrix
void NXOpen::CAM::BoundarySetWireEDM::AppendSideFaces ( const std::vector< NXOpen::TaggedObject * > &  faces,
const NXOpen::Point3d pickPoint 
)

Append faces to a side face boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
facesthe faces
pickPointthe pick point on the side face
NXOpen::CAM::WedmCustomBoundaryDataBuilder* NXOpen::CAM::BoundarySetWireEDM::ControlPoints ( )

Returns the control points
Created in NX12.0.1.



License requirements : None

NXOpen::CAM::BoundaryMemberSetWireEDM* NXOpen::CAM::BoundarySetWireEDM::CreateBoundaryMemberSetWireEdm ( )

Create an empty custom member data set for a wire EDM boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

bool NXOpen::CAM::BoundarySetWireEDM::CustomStock ( )

Returns the flag whether this boundary has custom stock activated
Created in NX12.0.1.



License requirements : None

bool NXOpen::CAM::BoundarySetWireEDM::CustomTaperAngle ( )

Returns the flag whether this boundary has custom taper angle activated
Created in NX12.0.2.



License requirements : None

bool NXOpen::CAM::BoundarySetWireEDM::CustomTolerances ( )

Returns the flag whether this boundary has custom tolerances
Created in NX12.0.1.



License requirements : None

double NXOpen::CAM::BoundarySetWireEDM::InTolerance ( )

Returns the in tolerance value
Created in NX12.0.1.



License requirements : None

double NXOpen::CAM::BoundarySetWireEDM::OutTolerance ( )

Returns the out tolerance value
Created in NX12.0.1.



License requirements : None

void NXOpen::CAM::BoundarySetWireEDM::RemoveCurvesFromWireframe ( const std::vector< NXOpen::NXObject * > &  curves)

Remove curves from the wireframe boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
curvesthe curves
void NXOpen::CAM::BoundarySetWireEDM::RemoveSideFace ( NXOpen::TaggedObject face)

Remove a face to a side face boundary
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
facethe side face to be removed
void NXOpen::CAM::BoundarySetWireEDM::SetCustomStock ( bool  newValue)

Sets the flag whether this boundary has custom stock activated
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetCustomTaperAngle ( bool  newValue)

Sets the flag whether this boundary has custom taper angle activated
Created in NX12.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetCustomTolerances ( bool  newValue)

Sets the flag whether this boundary has custom tolerances
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetInTolerance ( double  newValue)

Sets the in tolerance value
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetOutTolerance ( double  newValue)

Sets the out tolerance value
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetStock ( double  newValue)

Sets the stock value
Created in NX12.0.1.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
void NXOpen::CAM::BoundarySetWireEDM::SetTaperAngle ( double  newValue)

Sets the taper angle value
Created in NX12.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
newValuenewvalue
double NXOpen::CAM::BoundarySetWireEDM::Stock ( )

Returns the stock value
Created in NX12.0.1.



License requirements : None

double NXOpen::CAM::BoundarySetWireEDM::TaperAngle ( )

Returns the taper angle value
Created in NX12.0.2.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.